#!/bin/sh
#
# Environment variable script, to be sourced by other scripts.
#
# Author: Marc S Dye - Sun-ICG - 1999
#
# @(#)ss_.ssenv.profile	3.1 99/02/02 Sun Microsystems, Inc.

# usually invoked as:
# read SUNSCREEN_BASE <${SUNSCREEN_ETC:-/etc/opt/SUNWicg/SunScreen}/location
# . $SUNSCREEN_BASE/bin/.ssenv.profile

                        # environment variable defaults
OPT_DEF=/opt/SUNWicg/SunScreen
ETC_DEF=/etc/opt/SUNWicg/SunScreen
VAR_DEF=/var/opt/SUNWicg/SunScreen
			# set export variables
SUNSCREEN_BASE=${SUNSCREEN_BASE:-$OPT_DEF}
SUNSCREEN_ETC=${SUNSCREEN_ETC:-$ETC_DEF}
SUNSCREEN_VAR=${SUNSCREEN_VAR:-$VAR_DEF}

export SUNSCREEN_BASE SUNSCREEN_ETC SUNSCREEN_VAR

			# shorthand versions
ADM_DIR=$SUNSCREEN_BASE/ssadm
BIN_DIR=$SUNSCREEN_BASE/bin
LIB_DIR=$SUNSCREEN_BASE/lib
ETC_DIR=$SUNSCREEN_ETC
VAR_DIR=$SUNSCREEN_VAR

# eof
